## visad.util
Class McIDASFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          visad.util.McIDASFileFilter

Deprecated. use FormFileFilter (see Util.getVisADFileChooser)

public class McIDASFileFilter
extends FileFilter

A file filter for McIDAS area and map files, for use with a JFileChooser.

Constructor Summary
`McIDASFileFilter()` Deprecated. construct a new filter for McIDAS AREA files

Method Summary
`boolean` `accept(File f)` Deprecated. accept files with the proper filename prefix
`String` `getDescription()` Deprecated. return the filter's description

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### McIDASFileFilter

    public McIDASFileFilter()

  Deprecated.
  construct a new filter for McIDAS AREA files

Method Detail

### accept

    public boolean accept(File f)

  Deprecated.
  accept files with the proper filename prefix

### getDescription

    public String getDescription()

  Deprecated.
  return the filter's description